Bug 22732 - RPM misses <float.h> ./popt/popt.c
Summary: RPM misses <float.h> ./popt/popt.c
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: popt   
(Show other bugs)
Version: 4.2
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-12-22 12:11 UTC by Tobias Burnus
Modified: 2007-03-27 03:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-22 17:15:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tobias Burnus 2000-12-22 12:11:50 UTC
On Alphas (OSF1 4.0x) and on FreeBSD 3.4 the float constants are in
<float.h> so plvease incluse a

#include <float.h>

at least for those two machines.  (This happens with RPM 3.0.6 and 4.0.)

Comment 1 Jeff Johnson 2000-12-22 14:44:16 UTC
I can certainly do that, but I'd like to know what "float constants" are needed
by rpm and why.
Can you append the output of a failed build using make -k so that I can see
what's up?

Comment 2 Tobias Burnus 2000-12-22 14:51:28 UTC
In file popt/popt.c there are:

597:                    if (ABS(aDouble) > FLT_MAX)
599:                    if (ABS(aDouble) < FLT_MIN)

Adding it (#include <float.h>) to this file was sufficient (rpm-3.0.6, rpm 4.0
has some other problems, but it should also be sufficient).

Comment 3 Jeff Johnson 2000-12-22 15:00:25 UTC
Ah, yes, popt needs <float.h>. Thanks, will add tests for float.h to rpm/popt's
configure.in.

Comment 4 Jeff Johnson 2000-12-30 19:11:00 UTC
Added in rpm-4.0.[12] CVS.


Note You need to log in before you can comment on or make changes to this bug.